Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.actions.teststep
Class WsdlTestStepInsertStepSoapUIActionGroup

    java.lang.Object
      com.eviware.soapui.support.action.support.AbstractSoapUIActionGroup<T>
          com.eviware.soapui.support.action.support.DefaultSoapUIActionGroup<WsdlTestStep>
              com.eviware.soapui.impl.wsdl.actions.teststep.WsdlTestStepInsertStepSoapUIActionGroup

All Implemented Interfaces:
  SoapUIActionGroup<WsdlTestStep>

    public class WsdlTestStepInsertStepSoapUIActionGroup

extends DefaultSoapUIActionGroup<WsdlTestStep>

SoapUIAction group for dynamically creating the "Insert TestStep" popup menu

Author:
  ole.matzura

Field Summary

Fields inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIActionGroup
`id, name`

Constructor Summary
`WsdlTestStepInsertStepSoapUIActionGroup(java.lang.String id, java.lang.String name)`

Method Summary
`SoapUIActionMappingList<WsdlTestStep>` | `getActionMappings(WsdlTestStep modelItem)`

Methods inherited from class com.eviware.soapui.support.action.support.DefaultSoapUIActionGroup
`addMapping, addMapping, getMappingIndex`

Methods inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIActionGroup
`getId, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlTestStepInsertStepSoapUIActionGroup

    public WsdlTestStepInsertStepSoapUIActionGroup(java.lang.String id,
                                                   java.lang.String name)

Method Detail

### getActionMappings

    public SoapUIActionMappingList<WsdlTestStep> getActionMappings(WsdlTestStep modelItem)

  Specified by:
    `getActionMappings` in interface `SoapUIActionGroup<WsdlTestStep>`
  Overrides:
    `getActionMappings` in class `DefaultSoapUIActionGroup<WsdlTestStep>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.